Trackpad is not recognized.

Bug #1817200 reported by Daniel Patru on 2019-02-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

=== SRU Justification ===
[Impact]
Touchpad on Walmart Overpowered laptop doesn't work.

[Fix]
Quote the commit message:
"The gpio base for GPP-E was set incorrectly to 258 instead of 256"

[Test]
User confirm the commit makes the touchpad work.

[Regression Potential]
Low. This commit is in upstream stable for a while.
=== Original Bug Report ===
Trackpad is not recognized in linux for
Overpowered laptop model OP-LP1 (sold by Walmart)

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-4.15.0-45-generic 4.15.0-45.48
ProcVersionSignature: Ubuntu 4.15.0-45.48-generic 4.15.18
Uname: Linux 4.15.0-45-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.9-0ubuntu7.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: d 2135 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Thu Feb 21 14:01:39 2019
InstallationDate: Installed on 2019-02-21 (0 days ago)
InstallationMedia: Ubuntu-Server 18.04.2 LTS "Bionic Beaver" - Release amd64 (20190210)
MachineType: OVERPOWERED OP-LP1
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-45-generic root=UUID=abb2aee4-3166-41d9-8ac4-14a5a3fccc92 ro acpi_osi=! "acpi_osi=Windows 2009" blacklist=nouveau elevator=deadline drmdebug=0xe quiet splash vt.handoff=1
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-45-generic N/A
 linux-backports-modules-4.15.0-45-generic N/A
 linux-firmware 1.173.3
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/26/2018
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: N.1.02
dmi.board.asset.tag: Standard
dmi.board.name: GK5CN4Z
dmi.board.vendor: OVERPOWERED
dmi.board.version: Standard
dmi.chassis.asset.tag: Standard
dmi.chassis.type: 10
dmi.chassis.vendor: Standard
dmi.chassis.version: Standard
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrN.1.02:bd09/26/2018:svnOVERPOWERED:pnOP-LP1:pvrStandard:rvnOVERPOWERED:rnGK5CN4Z:rvrStandard:cvnStandard:ct10:cvrStandard:
dmi.product.family: OP-LP
dmi.product.name: OP-LP1
dmi.product.version: Standard
dmi.sys.vendor: OVERPOWERED

Daniel Patru (dpatru) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Kai-Heng Feng (kaihengfeng) wrote :

Please remove all the "acpi*" kernel parameter and try again.

Download full text (3.4 KiB)

Thanks for getting back with me.

I removed "acpi*" from the /etc/default/grub file.The line now reads:
GRUB_CMDLINE_LINUX_DEFAULT="blacklist=nouveau elevator=deadline
drmdebug=0xe quiet splash"

I did "sudo update-grub" and then rebooted,

The trackpad is still not recognized.

$ grep -i name /proc/bus/input/devices
N: Name="Sleep Button"
N: Name="Power Button"
N: Name="Lid Switch"
N: Name="Power Button"
N: Name="AT Translated Set 2 keyboard"
N: Name="Video Bus"
N: Name="Video Bus"
N: Name="HD Webcam: HD Webcam"
N: Name="HDA Intel PCH Mic"
N: Name="HDA Intel PCH Headphone"
N: Name="HDA Intel PCH HDMI/DP,pcm=3"
N: Name="HDA Intel PCH HDMI/DP,pcm=7"
N: Name="HDA Intel PCH HDMI/DP,pcm=8"
N: Name="HDA Intel PCH HDMI/DP,pcm=9"
N: Name="HDA Intel PCH HDMI/DP,pcm=10"
N: Name="PixArt HP USB Optical Mouse"

On Fri, Feb 22, 2019 at 4:20 AM Kai-Heng Feng <email address hidden>
wrote:

> Please remove all the "acpi*" kernel parameter and try again.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1817200
>
> Title:
> Trackpad is not recognized.
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Trackpad is not recognized in linux for
> Overpowered laptop model OP-LP1 (sold by Walmart)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: linux-image-4.15.0-45-generic 4.15.0-45.48
> ProcVersionSignature: Ubuntu 4.15.0-45.48-generic 4.15.18
> Uname: Linux 4.15.0-45-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVersion: 2.20.9-0ubuntu7.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: d 2135 F.... pulseaudio
> CurrentDesktop: ubuntu:GNOME
> Date: Thu Feb 21 14:01:39 2019
> InstallationDate: Installed on 2019-02-21 (0 days ago)
> InstallationMedia: Ubuntu-Server 18.04.2 LTS "Bionic Beaver" - Release
> amd64 (20190210)
> MachineType: OVERPOWERED OP-LP1
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-45-generic
> root=UUID=abb2aee4-3166-41d9-8ac4-14a5a3fccc92 ro acpi_osi=!
> "acpi_osi=Windows 2009" blacklist=nouveau elevator=deadline drmdebug=0xe
> quiet splash vt.handoff=1
> RelatedPackageVersions:
> linux-restricted-modules-4.15.0-45-generic N/A
> linux-backports-modules-4.15.0-45-generic N/A
> linux-firmware 1.173.3
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/26/2018
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: N.1.02
> dmi.board.asset.tag: Standard
> dmi.board.name: GK5CN4Z
> dmi.board.vendor: OVERPOWERED
> dmi.board.version: Standard
> dmi.chassis.asset.tag: Standard
> dmi.chassis.type: 10
> dmi.chassis.vendor: Standard
> dmi.chassis.version: Standard
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrN.1.02:bd09/26/2018:svnOVERPOWERED:pnOP-LP1:pvrStandard:rvnOVERPOWERED:rnGK5CN4Z:rvrStandard:cvnStanda...

Read more...

Kai-Heng Feng (kaihengfeng) wrote :

Please attach `dmesg` and `udevadm info -e`, thanks!

Daniel Patru (dpatru) wrote :

On Fri, Feb 22, 2019 at 8:50 AM Kai-Heng Feng <email address hidden>
wrote:

> Please attach `dmesg` and `udevadm info -e`, thanks!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1817200
>
> Title:
> Trackpad is not recognized.
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Trackpad is not recognized in linux for
> Overpowered laptop model OP-LP1 (sold by Walmart)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: linux-image-4.15.0-45-generic 4.15.0-45.48
> ProcVersionSignature: Ubuntu 4.15.0-45.48-generic 4.15.18
> Uname: Linux 4.15.0-45-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVersion: 2.20.9-0ubuntu7.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: d 2135 F.... pulseaudio
> CurrentDesktop: ubuntu:GNOME
> Date: Thu Feb 21 14:01:39 2019
> InstallationDate: Installed on 2019-02-21 (0 days ago)
> InstallationMedia: Ubuntu-Server 18.04.2 LTS "Bionic Beaver" - Release
> amd64 (20190210)
> MachineType: OVERPOWERED OP-LP1
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-45-generic
> root=UUID=abb2aee4-3166-41d9-8ac4-14a5a3fccc92 ro acpi_osi=!
> "acpi_osi=Windows 2009" blacklist=nouveau elevator=deadline drmdebug=0xe
> quiet splash vt.handoff=1
> RelatedPackageVersions:
> linux-restricted-modules-4.15.0-45-generic N/A
> linux-backports-modules-4.15.0-45-generic N/A
> linux-firmware 1.173.3
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/26/2018
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: N.1.02
> dmi.board.asset.tag: Standard
> dmi.board.name: GK5CN4Z
> dmi.board.vendor: OVERPOWERED
> dmi.board.version: Standard
> dmi.chassis.asset.tag: Standard
> dmi.chassis.type: 10
> dmi.chassis.vendor: Standard
> dmi.chassis.version: Standard
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrN.1.02:bd09/26/2018:svnOVERPOWERED:pnOP-LP1:pvrStandard:rvnOVERPOWERED:rnGK5CN4Z:rvrStandard:cvnStandard:ct10:cvrStandard:
> dmi.product.family: OP-LP
> dmi.product.name: OP-LP1
> dmi.product.version: Standard
> dmi.sys.vendor: OVERPOWERED
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1817200/+subscriptions
>

Daniel Patru (dpatru) wrote :

Can you point me to a page that teaches how to test the kernel?

On Mon, Feb 25, 2019 at 9:15 PM Kai-Heng Feng <email address hidden>
wrote:

> Please test this kernel:
> https://people.canonical.com/~khfeng/lp1817200/
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1817200
>
> Title:
> Trackpad is not recognized.
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Trackpad is not recognized in linux for
> Overpowered laptop model OP-LP1 (sold by Walmart)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: linux-image-4.15.0-45-generic 4.15.0-45.48
> ProcVersionSignature: Ubuntu 4.15.0-45.48-generic 4.15.18
> Uname: Linux 4.15.0-45-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVersion: 2.20.9-0ubuntu7.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: d 2135 F.... pulseaudio
> CurrentDesktop: ubuntu:GNOME
> Date: Thu Feb 21 14:01:39 2019
> InstallationDate: Installed on 2019-02-21 (0 days ago)
> InstallationMedia: Ubuntu-Server 18.04.2 LTS "Bionic Beaver" - Release
> amd64 (20190210)
> MachineType: OVERPOWERED OP-LP1
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-45-generic
> root=UUID=abb2aee4-3166-41d9-8ac4-14a5a3fccc92 ro acpi_osi=!
> "acpi_osi=Windows 2009" blacklist=nouveau elevator=deadline drmdebug=0xe
> quiet splash vt.handoff=1
> RelatedPackageVersions:
> linux-restricted-modules-4.15.0-45-generic N/A
> linux-backports-modules-4.15.0-45-generic N/A
> linux-firmware 1.173.3
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/26/2018
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: N.1.02
> dmi.board.asset.tag: Standard
> dmi.board.name: GK5CN4Z
> dmi.board.vendor: OVERPOWERED
> dmi.board.version: Standard
> dmi.chassis.asset.tag: Standard
> dmi.chassis.type: 10
> dmi.chassis.vendor: Standard
> dmi.chassis.version: Standard
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrN.1.02:bd09/26/2018:svnOVERPOWERED:pnOP-LP1:pvrStandard:rvnOVERPOWERED:rnGK5CN4Z:rvrStandard:cvnStandard:ct10:cvrStandard:
> dmi.product.family: OP-LP
> dmi.product.name: OP-LP1
> dmi.product.version: Standard
> dmi.sys.vendor: OVERPOWERED
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1817200/+subscriptions
>

Kai-Heng Feng (kaihengfeng) wrote :

Download those debs to a directory and run `sudo dpkg -i *.deb` under the directory.

Daniel Patru (dpatru) wrote :

wow! i ran dpkg and rebooted and now the trackpad works. You are amazing.

What do you want me to do now?

On Mon, Feb 25, 2019 at 9:40 PM Kai-Heng Feng <email address hidden>
wrote:

> Download those debs to a directory and run `sudo dpkg -i *.deb` under
> the directory.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1817200
>
> Title:
> Trackpad is not recognized.
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Trackpad is not recognized in linux for
> Overpowered laptop model OP-LP1 (sold by Walmart)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: linux-image-4.15.0-45-generic 4.15.0-45.48
> ProcVersionSignature: Ubuntu 4.15.0-45.48-generic 4.15.18
> Uname: Linux 4.15.0-45-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVersion: 2.20.9-0ubuntu7.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: d 2135 F.... pulseaudio
> CurrentDesktop: ubuntu:GNOME
> Date: Thu Feb 21 14:01:39 2019
> InstallationDate: Installed on 2019-02-21 (0 days ago)
> InstallationMedia: Ubuntu-Server 18.04.2 LTS "Bionic Beaver" - Release
> amd64 (20190210)
> MachineType: OVERPOWERED OP-LP1
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-45-generic
> root=UUID=abb2aee4-3166-41d9-8ac4-14a5a3fccc92 ro acpi_osi=!
> "acpi_osi=Windows 2009" blacklist=nouveau elevator=deadline drmdebug=0xe
> quiet splash vt.handoff=1
> RelatedPackageVersions:
> linux-restricted-modules-4.15.0-45-generic N/A
> linux-backports-modules-4.15.0-45-generic N/A
> linux-firmware 1.173.3
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/26/2018
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: N.1.02
> dmi.board.asset.tag: Standard
> dmi.board.name: GK5CN4Z
> dmi.board.vendor: OVERPOWERED
> dmi.board.version: Standard
> dmi.chassis.asset.tag: Standard
> dmi.chassis.type: 10
> dmi.chassis.vendor: Standard
> dmi.chassis.version: Standard
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrN.1.02:bd09/26/2018:svnOVERPOWERED:pnOP-LP1:pvrStandard:rvnOVERPOWERED:rnGK5CN4Z:rvrStandard:cvnStandard:ct10:cvrStandard:
> dmi.product.family: OP-LP
> dmi.product.name: OP-LP1
> dmi.product.version: Standard
> dmi.sys.vendor: OVERPOWERED
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1817200/+subscriptions
>

Daniel Patru (dpatru) wrote :

Here are the outputs from a few commands. I can do more if needed.

dmesg > dmesg
udevadm info -e > udevadm_info_-e
cat /proc/bus/input/devices > proc-bus-input-devices

On Mon, Feb 25, 2019 at 9:47 PM Daniel Patru <email address hidden> wrote:

> wow! i ran dpkg and rebooted and now the trackpad works. You are amazing.
>
> What do you want me to do now?
>
> On Mon, Feb 25, 2019 at 9:40 PM Kai-Heng Feng <email address hidden>
> wrote:
>
>> Download those debs to a directory and run `sudo dpkg -i *.deb` under
>> the directory.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1817200
>>
>> Title:
>> Trackpad is not recognized.
>>
>> Status in linux package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> Trackpad is not recognized in linux for
>> Overpowered laptop model OP-LP1 (sold by Walmart)
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 18.04
>> Package: linux-image-4.15.0-45-generic 4.15.0-45.48
>> ProcVersionSignature: Ubuntu 4.15.0-45.48-generic 4.15.18
>> Uname: Linux 4.15.0-45-generic x86_64
>> NonfreeKernelModules: nvidia_modeset nvidia
>> ApportVersion: 2.20.9-0ubuntu7.5
>> Architecture: amd64
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: d 2135 F.... pulseaudio
>> CurrentDesktop: ubuntu:GNOME
>> Date: Thu Feb 21 14:01:39 2019
>> InstallationDate: Installed on 2019-02-21 (0 days ago)
>> InstallationMedia: Ubuntu-Server 18.04.2 LTS "Bionic Beaver" - Release
>> amd64 (20190210)
>> MachineType: OVERPOWERED OP-LP1
>> ProcEnviron:
>> TERM=xterm-256color
>> PATH=(custom, no user)
>> XDG_RUNTIME_DIR=<set>
>> LANG=en_US.UTF-8
>> SHELL=/bin/bash
>> ProcFB: 0 inteldrmfb
>> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-45-generic
>> root=UUID=abb2aee4-3166-41d9-8ac4-14a5a3fccc92 ro acpi_osi=!
>> "acpi_osi=Windows 2009" blacklist=nouveau elevator=deadline drmdebug=0xe
>> quiet splash vt.handoff=1
>> RelatedPackageVersions:
>> linux-restricted-modules-4.15.0-45-generic N/A
>> linux-backports-modules-4.15.0-45-generic N/A
>> linux-firmware 1.173.3
>> SourcePackage: linux
>> UpgradeStatus: No upgrade log present (probably fresh install)
>> dmi.bios.date: 09/26/2018
>> dmi.bios.vendor: American Megatrends Inc.
>> dmi.bios.version: N.1.02
>> dmi.board.asset.tag: Standard
>> dmi.board.name: GK5CN4Z
>> dmi.board.vendor: OVERPOWERED
>> dmi.board.version: Standard
>> dmi.chassis.asset.tag: Standard
>> dmi.chassis.type: 10
>> dmi.chassis.vendor: Standard
>> dmi.chassis.version: Standard
>> dmi.modalias:
>> dmi:bvnAmericanMegatrendsInc.:bvrN.1.02:bd09/26/2018:svnOVERPOWERED:pnOP-LP1:pvrStandard:rvnOVERPOWERED:rnGK5CN4Z:rvrStandard:cvnStandard:ct10:cvrStandard:
>> dmi.product.family: OP-LP
>> dmi.product.name: OP-LP1
>> dmi.product.version: Standard
>> dmi.sys.vendor: OVERPOWERED
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1817200/+subscriptions
>>
>

Kai-Heng Feng (kaihengfeng) wrote :

Noting. I'll request an SRU [1] so the next Ubuntu kernel release includes the fix for this issue.

[1] https://wiki.ubuntu.com/StableReleaseUpdates

Daniel Patru (dpatru) wrote :

Thank you very much!

On Mon, Feb 25, 2019 at 10:05 PM Kai-Heng Feng <email address hidden>
wrote:

> Noting. I'll request an SRU [1] so the next Ubuntu kernel release
> includes the fix for this issue.
>
> [1] https://wiki.ubuntu.com/StableReleaseUpdates
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1817200
>
> Title:
> Trackpad is not recognized.
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Trackpad is not recognized in linux for
> Overpowered laptop model OP-LP1 (sold by Walmart)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: linux-image-4.15.0-45-generic 4.15.0-45.48
> ProcVersionSignature: Ubuntu 4.15.0-45.48-generic 4.15.18
> Uname: Linux 4.15.0-45-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVersion: 2.20.9-0ubuntu7.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: d 2135 F.... pulseaudio
> CurrentDesktop: ubuntu:GNOME
> Date: Thu Feb 21 14:01:39 2019
> InstallationDate: Installed on 2019-02-21 (0 days ago)
> InstallationMedia: Ubuntu-Server 18.04.2 LTS "Bionic Beaver" - Release
> amd64 (20190210)
> MachineType: OVERPOWERED OP-LP1
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-45-generic
> root=UUID=abb2aee4-3166-41d9-8ac4-14a5a3fccc92 ro acpi_osi=!
> "acpi_osi=Windows 2009" blacklist=nouveau elevator=deadline drmdebug=0xe
> quiet splash vt.handoff=1
> RelatedPackageVersions:
> linux-restricted-modules-4.15.0-45-generic N/A
> linux-backports-modules-4.15.0-45-generic N/A
> linux-firmware 1.173.3
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/26/2018
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: N.1.02
> dmi.board.asset.tag: Standard
> dmi.board.name: GK5CN4Z
> dmi.board.vendor: OVERPOWERED
> dmi.board.version: Standard
> dmi.chassis.asset.tag: Standard
> dmi.chassis.type: 10
> dmi.chassis.vendor: Standard
> dmi.chassis.version: Standard
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrN.1.02:bd09/26/2018:svnOVERPOWERED:pnOP-LP1:pvrStandard:rvnOVERPOWERED:rnGK5CN4Z:rvrStandard:cvnStandard:ct10:cvrStandard:
> dmi.product.family: OP-LP
> dmi.product.name: OP-LP1
> dmi.product.version: Standard
> dmi.sys.vendor: OVERPOWERED
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1817200/+subscriptions
>

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
description: updated
Changed in linux (Ubuntu Bionic):
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Daniel Patru (dpatru) wrote :
Download full text (3.9 KiB)

The trackpad is working since I installed the new kernel.

I have since reinstalled the Ubuntu from the installation image and the
trackpad works after doing a `apt update && apt upgrade && apt
dist-upgrade` so I assume the patch has already been merged.

On Fri, Mar 15, 2019 at 7:51 PM Brad Figg <email address hidden> wrote:

> This bug is awaiting verification that the kernel in -proposed solves
> the problem. Please test the kernel and update this bug with the
> results. If the problem is solved, change the tag 'verification-needed-
> bionic' to 'verification-done-bionic'. If the problem still exists,
> change the tag 'verification-needed-bionic' to 'verification-failed-
> bionic'.
>
> If verification is not done by 5 working days from today, this fix will
> be dropped from the source code, and this bug will be closed.
>
> See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
> to enable and use -proposed. Thank you!
>
>
> ** Tags added: verification-needed-bionic
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1817200
>
> Title:
> Trackpad is not recognized.
>
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux source package in Bionic:
> Fix Committed
>
> Bug description:
> === SRU Justification ===
> [Impact]
> Touchpad on Walmart Overpowered laptop doesn't work.
>
> [Fix]
> Quote the commit message:
> "The gpio base for GPP-E was set incorrectly to 258 instead of 256"
>
> [Test]
> User confirm the commit makes the touchpad work.
>
> [Regression Potential]
> Low. This commit is in upstream stable for a while.
> === Original Bug Report ===
> Trackpad is not recognized in linux for
> Overpowered laptop model OP-LP1 (sold by Walmart)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: linux-image-4.15.0-45-generic 4.15.0-45.48
> ProcVersionSignature: Ubuntu 4.15.0-45.48-generic 4.15.18
> Uname: Linux 4.15.0-45-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVersion: 2.20.9-0ubuntu7.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: d 2135 F.... pulseaudio
> CurrentDesktop: ubuntu:GNOME
> Date: Thu Feb 21 14:01:39 2019
> InstallationDate: Installed on 2019-02-21 (0 days ago)
> InstallationMedia: Ubuntu-Server 18.04.2 LTS "Bionic Beaver" - Release
> amd64 (20190210)
> MachineType: OVERPOWERED OP-LP1
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-45-generic
> root=UUID=abb2aee4-3166-41d9-8ac4-14a5a3fccc92 ro acpi_osi=!
> "acpi_osi=Windows 2009" blacklist=nouveau elevator=deadline drmdebug=0xe
> quiet splash vt.handoff=1
> RelatedPackageVersions:
> linux-restricted-modules-4.15.0-45-generic N/A
> linux-backports-modules-4.15.0-45-generic N/A
> linux-firmware 1.173.3
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi...

Read more...

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (25.4 KiB)

This bug was fixed in the package linux - 4.15.0-47.50

---------------
linux (4.15.0-47.50) bionic; urgency=medium

  * linux: 4.15.0-47.50 -proposed tracker (LP: #1819716)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction

  * C++ demangling support missing from perf (LP: #1396654)
    - [Packaging] fix a mistype

  * arm-smmu-v3 arm-smmu-v3.3.auto: CMD_SYNC timeout (LP: #1818162)
    - iommu/arm-smmu-v3: Fix unexpected CMD_SYNC timeout

  * Crash in nvme_irq_check() when using threaded interrupts (LP: #1818747)
    - nvme-pci: fix out of bounds access in nvme_cqe_pending

  * CVE-2019-9213
    - mm: enforce min addr even if capable() in expand_downwards()

  * CVE-2019-3460
    - Bluetooth: Check L2CAP option sizes returned from l2cap_get_conf_opt

  * amdgpu with mst WARNING on blanking (LP: #1814308)
    - drm/amd/display: Don't use dc_link in link_encoder
    - drm/amd/display: Move wait for hpd ready out from edp power control.
    - drm/amd/display: eDP sequence BL off first then DP blank.
    - drm/amd/display: Fix unused variable compilation error
    - drm/amd/display: Fix warning about misaligned code
    - drm/amd/display: Fix MST dp_blank REG_WAIT timeout

  * tun/tap: unable to manage carrier state from userland (LP: #1806392)
    - tun: implement carrier change

  * CVE-2019-8980
    - exec: Fix mem leak in kernel_read_file

  * raw_skew in timer from the ubuntu_kernel_selftests failed on Bionic
    (LP: #1811194)
    - selftest: timers: Tweak raw_skew to SKIP when ADJ_OFFSET/other clock
      adjustments are in progress

  * [Packaging] Allow overlay of config annotations (LP: #1752072)
    - [Packaging] config-check: Add an include directive

  * CVE-2019-7308
    - bpf: move {prev_,}insn_idx into verifier env
    - bpf: move tmp variable into ax register in interpreter
    - bpf: enable access to ax register also from verifier rewrite
    - bpf: restrict map value pointer arithmetic for unprivileged
    - bpf: restrict stack pointer arithmetic for unprivileged
    - bpf: restrict unknown scalars of mixed signed bounds for unprivileged
    - bpf: fix check_map_access smin_value test when pointer contains offset
    - bpf: prevent out of bounds speculation on pointer arithmetic
    - bpf: fix sanitation of alu op with pointer / scalar type from different
      paths
    - bpf: add various test cases to selftests

  * CVE-2017-5753
    - bpf: properly enforce index mask to prevent out-of-bounds speculation
    - bpf: fix inner map masking to prevent oob under speculation

  * BPF: kernel pointer leak to unprivileged userspace (LP: #1815259)
    - bpf/verifier: disallow pointer subtraction

  * squashfs hardening (LP: #1816756)
    - squashfs: more metadata hardening
    - squashfs metadata 2: electric boogaloo
    - squashfs: more metadata hardening
    - Squashfs: Compute expected length from inode size rather than block length

  * efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted (LP: #1814982)
    - efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted

  * Update ENA driver to version 2.0.3K (LP: #1816806)...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.